# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'applitools/eyes_selenium/version'

Gem::Specification.new do |spec|
  spec.name          = 'eyes_selenium'
  spec.version       = Applitools::EyesSelenium::VERSION
  spec.authors       = ['Applitools Team']
  spec.email         = ['team@applitools.com']
  spec.description   = 'Provides SDK for writing Applitools Selenium-based tests'
  spec.summary       = 'Applitools Ruby Selenium SDK'
  spec.homepage      = 'https://www.applitools.com'
  spec.license       = 'Proprietary'

  spec.files         = `git ls-files lib/applitools/selenium`.split($RS) + [
    'lib/eyes_selenium.rb',
    'lib/applitools/eyes_selenium/version.rb',
    'LICENSE',
    'README.md',
    'CHANGELOG.md',
    'eyes_selenium.gemspec',
    'Rakefile',
  ]
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = %w(lib)
  spec.add_dependency 'eyes_core', "= 6.8.1"
  spec.add_dependency 'selenium-webdriver', '>= 3'
  spec.add_dependency 'css_parser'
  spec.add_dependency 'crass'
  spec.add_dependency 'state_machines'
end
